M1 搭建 MonkeyDev 环境, 编译报错, 求助!

系统: macOS Big Sur 11.4
芯片: M1
Xcode: 12.2

编译报错:
ld: building for Mac Catalyst, but linking in dylib built for iOS, file ‘/opt/MonkeyDev/Frameworks/libsubstrate.dylib’ for architecture arm64

自己创建了一个 demo.app , 附加到 monkey 仍然不行, 编译错误一样, google 也没找到什么解决方案, 大佬帮忙看看…

设备选错了.

目的就是想在 mac m1 运行起来, 是不能运行在 m1 上吗?

我在隔壁贴给你也回复了. 你不要把设备选成 mac.


这是成功的


这个是你选择的配置

本质而言,m1 设备 是 类似 ipad的。分析app的时候,你就发现,你得到的设备信息基本是 ipad